Bug 901451 - Review Request: nodejs-amdefine - Provide AMD's define() API for declaring modules in the AMD format
Summary: Review Request: nodejs-amdefine - Provide AMD's define() API for declaring mo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 901454
TreeView+ depends on / blocked
 
Reported: 2013-01-18 08:58 UTC by T.C. Hollingsworth
Modified: 2013-04-05 23:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-16 02:36:39 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-01-18 08:58:00 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-amdefine.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-amdefine-0.0.4-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4880048
FAS username: patches

A module that can be used to implement the Asynchronous Module Definition's
define() in Node. This allows you to code to the AMD API and have the module
work in node programs without requiring those other programs to use AMD.

This package is part of the tap stack used to test many Node.js modules.

Please use nodejs-0.6.5-9 or later when building or using this package.

Comment 1 Miro Hrončok 2013-02-06 14:25:36 UTC
Summary and Description OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint ../SRPMS/nodejs-amdefine-0.0.4-1.fc18.src.rpm ../RPMS/noarch/nodejs-amdefine-0.0.4-1.fc18.noarch.rpm
nodejs-amdefine.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

False positive. OK

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE: BSD or MIT. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/amdefine-0.0.4.tgz 
e4ad6ad9d20f85bd74bdb61483ea4dcf6a546063f13c8ee99bdb99550b5a4d83  ../SOURCES/amdefine-0.0.4.tgz
$ spectool -g nodejs-amdefine.spec 
Getting http://registry.npmjs.org/amdefine/-/amdefine-0.0.4.tgz to ./amdefine-0.0.4.tgz
$ sha256sum amdefine-0.0.4.tgz 
e4ad6ad9d20f85bd74bdb61483ea4dcf6a546063f13c8ee99bdb99550b5a4d83  amdefine-0.0.4.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. OK, builds in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-amdefine-0.0.4-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 úno  6 15:02 /usr/lib/node_modules/amdefine
-rw-r--r--    1 root    root                     9823 říj 15 07:01 /usr/lib/node_modules/amdefine/amdefine.js
-rw-r--r--    1 root    root                      627 říj 15 07:01 /usr/lib/node_modules/amdefine/package.json
drwxr-xr-x    2 root    root                        0 úno  6 15:02 /usr/share/doc/nodejs-amdefine-0.0.4
-rw-r--r--    1 root    root                     2821 pro 10  2011 /usr/share/doc/nodejs-amdefine-0.0.4/LICENSE
-rw-r--r--    1 root    root                     3950 čen 16  2012 /usr/share/doc/nodejs-amdefine-0.0.4/README.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package APPROVED.

Comment 2 T.C. Hollingsworth 2013-02-06 20:33:49 UTC
New Package SCM Request
=======================
Package Name: nodejs-amdefine
Short Description: Provide AMD's define() API for declaring modules in the AMD format
Owners: patches
Branches: f18 el6
InitialCC:

Comment 3 Gwyn Ciesla 2013-02-06 20:38:53 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-02-13 04:27:49 UTC
nodejs-amdefine-0.0.4-1.fc18,nodejs-buffer-equal-0.0.0-1.fc18,nodejs-charm-0.1.0-1.fc18,nodejs-deep-equal-0.0.0-2.fc18,nodejs-optimist-0.3.5-1.fc18,nodejs-source-map-0.1.8-3.fc18,nodejs-traverse-0.6.3-2.fc18,nodejs-wordwrap-0.0.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,uglify-js-2.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-amdefine-0.0.4-1.fc18,nodejs-buffer-equal-0.0.0-1.fc18,nodejs-charm-0.1.0-1.fc18,nodejs-deep-equal-0.0.0-2.fc18,nodejs-optimist-0.3.5-1.fc18,nodejs-source-map-0.1.8-3.fc18,nodejs-traverse-0.6.3-2.fc18,nodejs-wordwrap-0.0.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,uglify-js-2.2.4-1.fc18

Comment 5 Fedora Update System 2013-02-16 01:24:51 UTC
nodejs-amdefine-0.0.4-1.fc18, nodejs-buffer-equal-0.0.0-1.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-deep-equal-0.0.0-2.fc18, nodejs-optimist-0.3.5-1.fc18, nodejs-source-map-0.1.8-3.fc18, nodejs-traverse-0.6.3-2.fc18, nodejs-wordwrap-0.0.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-difflet-0.2.3-2.fc18, uglify-js1-1.3.4-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 6 Fedora Update System 2013-04-05 23:06:26 UTC
nodejs-amdefine-0.0.4-1.fc18, nodejs-buffer-equal-0.0.0-1.fc18, nodejs-charm-0.1.0-1.fc18, nodejs-deep-equal-0.0.0-2.fc18, nodejs-optimist-0.3.5-1.fc18, nodejs-source-map-0.1.8-3.fc18, nodejs-traverse-0.6.3-2.fc18, nodejs-wordwrap-0.0.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-difflet-0.2.3-2.fc18, uglify-js1-1.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.